@charset "utf-8";
/*
2024-04-04 (주)파이브센스_FIVESENSES.Corp.

본 라이브러리(라이브러리 소스코드)는 (주)파이브센스의 자산입니다.
무단으로 외부로 유출 및 일시 반출을 할 경우 손해배상 책임 및 민사/형사적 책임이 있습니다.
*/

/* 타이틀 컨테이너 */
.main_bgb2 .container_fix {
    padding:0;
}

.main_bgb2 .title_container {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 42px;
}

/* 타이틀 */
.main_bgb2 .main_cont_title {
    margin-bottom: 0px;
}

.main_bgb2 .main_cont_title h2 {
    font-size: 64px;
    font-weight: 700;
    color: var(--main-point-color);
    display: inline-block;
    width: auto;
}

/* 전체보기 */

.main_bgb2 .more_container {
    margin-top:10px;
}

.main_bgb2 .more_container .more_link {
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 5px;
    min-width: 160px;
    height: 45px;
    border: 1px solid #e1e1e1;
    border-radius: 50px;
    background-color: #fff;
    overflow: hidden;
    transition: transform 0.6s ease;
    padding: 0 21px 0 18px;
}

/* 전체보기 배경 */
.main_bgb2 .more_container .more_link::after {
    content:"";
    position: absolute;
    top: 0;
    right: 100%;
    width: 100%;
    height: 100%;
    background-color: var(--main-point-btn-bg-color-hover);
    transition: all 0.6s ease;
}

.main_bgb2 .more_container .more_link.on::after {
    right: 0;
}

/* 전체보기 텍스트가 hover 배경보다 위로 */
.main_bgb2 .more_container .more_link span {
    position: relative;
    z-index: 1;
}

/* 전체보기 텍스트 */
.main_bgb2 .more_container .more_link .more_txt {
    font-size: 17px;
    font-weight: 400;
    line-height: 1;
    color: #666666;
    display: inline-block;
    width: auto;
}
.main_bgb2 .more_container .more_link.on .more_txt {
    color: #fff;
}

/* 전체보기 아이콘 hover 액션 */
.main_bgb2 .more_container .more_link .more_icon .more_b {display: block;}
.main_bgb2 .more_container .more_link.on .more_icon .more_b {display: none;}
.main_bgb2 .more_container .more_link .more_icon .more_w {display: none;}
.main_bgb2 .more_container .more_link.on .more_icon .more_w {display: block;}

/* 게시판 리스트 */
.main_bgb2 .board_list {
    position: relative;
}

.main_bgb2 .move_link {
    height: 100%;
    display: block;
    border-radius: 17px;
    background-color: #f5f5f5;
    overflow: hidden;
    transition: background-color 0.5s ease-in-out;
}

.main_bgb2 .move_link .post_container {
    padding: 30px 31px 25px 32px;
    min-height: 150px;
    display: flex;
    flex-direction: column;
}

/* 게시판 리스트 스켈레톤 UI */
.main_bgb2 .move_link.skeleton_ani .post_container {
    justify-content: space-around;
}

.main_bgb2 .move_link.skeleton_ani .post_container > p {
    width: 100%;
}

/* 게시판 라벨 스티커 */
.main_bgb2 .post_container .post_label {
    width: auto;
    display: inline-block;
    font-size: 13px;
    font-weight: 700;
    line-height: 1;
    color: #fff;
    background: #adadad;
    border-radius: 50px;
    padding: 5px 11px;
    margin-bottom: 12px;
}

/* 게시판 타이틀 */
.main_bgb2 .post_container .post_subject{
    width: 100%;
    min-height: 60px;
    font-size: 20px;
    font-weight: 500;
    line-height: 1.5;
    color: var(--main-point-color);
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    margin-bottom: 31px;
}

/* 게시판 날짜 */
.main_bgb2 .post_container .post_date {
    font-size: 15px;
    font-weight: 500;
    line-height: 1;
    color: #999;
    margin-top: auto;
}

/* 게시판 썸네일 */
.main_bgb2 .thumb_container {
    overflow: hidden;
    border-bottom-left-radius: 17px;
    border-bottom-right-radius: 17px;
}

.main_bgb2 .thumb_container .thumb {
    transition: all 0.5s ease-in-out;
}

.main_bgb2 .move_link.on {background-color: #e8e8e8;}
.main_bgb2 .move_link.on .thumb{transform: scale(1.1);}


/* 스와이퍼 */
.main_bgb2 .swiper {
    overflow: hidden;
}

.main_bgb2 .swiper-wrapper {
    align-items: stretch;
}

.main_bgb2 .swiper-slide {
    height: auto;
    text-decoration: none;
    display: block;
}

/* 스와이퍼 화살표 버튼 */
.main_bgb2 .swiper-button {
    width: 64px;
    height: 64px;
    top: 50%;
    opacity: 0;
    transition: all 0.5s;
}

.main_bgb2 .swiper-button::after {display: none;}

.main_bgb2 .swiper-button img{
    width: 100%;
    border-radius: 50%;
    box-shadow: 3px 0 8px rgba(61,61,61,.15);
}

.main_bgb2 .swiper-button-next{
    right: 0;
    margin: 0;
    transform: translate(50%, -50%);
}

.main_bgb2 .swiper-button-prev{
    left: 0;
    transform: translate(-50%, -50%);
}

/* 스와이프 마우스 hover 시 노출 */
.main_bgb2 .swiper-button.swiper-button-disabled {opacity: 0;}
.main_bgb2 .swiper.on ~ .swiper-button {opacity: 0.35;}
.main_bgb2 .swiper-button.on {opacity: 1;}

@media all and (max-width: 991px) {
    .main_bgb2 .container_fix {
        padding:0 15px;
    }
    /* 타이틀 컨테이너 */
    .main_bgb2 .title_container {
        justify-content: center;
        margin-bottom: 40px;
    }

    /* 타이틀 */
    .main_bgb2 .main_cont_title h2 {
        font-size: 31px;
    }

    /* 전체보기 */
    .main_bgb2 .more_container {
        margin-top: 35px;
        text-align: center;
    }

    .main_bgb2 .more_container .more_link {
        display: inline-flex;
        min-width: 167px;
        height: 49px;
        padding: 0 29px 0 27px;
    }

    /* 전체보기 텍스트 */
    .main_bgb2 .more_container .more_link .more_txt {
        font-size: 15px;
        font-weight: 500;
        color: #5d5d5d;
    }

    /* 게시판 리스트 */
    .main_bgb2 .move_link {
        border-radius: 13px;
    }

    .main_bgb2 .move_link .post_container {
        padding: 24px 23px;
        min-height: 100px;
    }

    /* 게시판 로드된 게시글과 스켈레톤 UI와 height값 동일하게 맞추기 */
    .main_bgb2 .move_link.skeleton_ani .post_container {
        padding: 24px 23px;
        min-height: 100px;
    }

    /* 게시판 라벨 스티커 */
    .main_bgb2 .post_container .post_label {
        font-size: 12px;
        padding: 3px 7px;
        margin-bottom: 13px;
    }

    /* 게시판 타이틀 */
    .main_bgb2 .post_container .post_subject{
        font-size: 15px;
        margin-bottom: 22px;
        min-height: unset;
    }

    /* 게시판 날짜 */
    .main_bgb2 .post_container .post_date {
        font-size: 14px;
    }

    /* 게시판 썸네일 */
    .main_bgb2 .thumb_container{
        border-radius: 15px;
    }

    /* 스와이퍼 */
    .main_bgb2 .swiper .swiper-wrapper {
        flex-direction: column;
        gap: 15px 0;
    }

    .main_bgb2 .swiper .swiper-wrapper > a {
        width: 100%;
    }

    /* 스와이퍼 화살표 버튼 */
    .main_bgb2 .swiper-button{
        display: none;
    }
}